Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 197984 - Do something to ensure that all network devices have ifcfg-XXX files with HWADDR
Summary: Do something to ensure that all network devices have ifcfg-XXX files with HWADDR
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kudzu
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-07-07 20:41 UTC by Bill Nottingham
Modified: 2014-03-17 03:00 UTC (History)
5 users (show)

Fixed In Version: 8.40-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-15 19:24:07 UTC


Attachments (Terms of Use)

Description Bill Nottingham 2006-07-07 20:41:04 UTC
With udev loading drivers in undefined order, new interfaces should have a name
chosen and some sort of ifcfg file written to have sane ordering for added devices.

Comment 1 Matt Domsch 2006-08-30 19:47:36 UTC
Define "sane".
See http://linux.dell.com/files/name_eths/ for my idea of sane.
It forces the device names to ascend, starting with embeddeded NICs (in PCI
bus/dev/fn order, not random kernel order), then add-in cards by ascending slot
number (again, in PCI bus/dev/fn order).

Comment 2 Bill Nottingham 2006-08-30 20:00:56 UTC
What I'm mainly talking about here is doing something on added/removed devices ;
the current code does next to nothing.

What's needed at the minimum is assigning *a* device name (probably
first-unused), writing a config file, and deciding if we want to do
ONBOOT=(yes|no). Or doing ONLINK=(yes|no).

Comment 3 Bill Nottingham 2006-09-15 19:24:07 UTC
Fixed in 1.2.54-1; we now write:

# <description>
DEVICE=<whatever>
ONBOOT=yes
BOOTPROTO=dhcp
HWADDR=<whatever>

for all added devices, and move old configs to <name>.bak.

Also, some code added to normalize any temporary names to something sane.


Note You need to log in before you can comment on or make changes to this bug.